/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package ProductSaleMgmt.ProductAssessment;

import java.util.Date;
import java.util.Vector;

/** 
 * @author TogetherSoft
 * @stereotype moment-interval */
public class MarketingStudy {
    public void makeMarketingStudy() {
    }

    public void addDetail() {
    }

    public void complete() {
    }

    public void cancel() {
    }

    public static Vector listMarketingStudies() {
        return new Vector();
    }

    private int status;
    private Date date;
    private int intervalForThisStudy;
    private String recommendations;

    /**
     *@shapeType AggregationLink
     * @supplierCardinality 0..*
     * @clientCardinality 1
     */
    private MktgStudyDetail lnkUnnamed;

    /** @supplierCardinality 1 */
    private IMakeMarketingStudy lnkUnnamed1;
}


